org.apache.sqoop.lib

## Interface FieldMappable

- All Known Subinterfaces:
    FieldMappable
  All Known Implementing Classes:
    SqoopRecord, SqoopRecord

      public interface FieldMappable

  Interface describing a class capable of returning a map of the fields of the object to their values.

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.util.Map<java.lang.String,java.lang.Object>` | `getFieldMap()` Returns a map containing all fields of this record.

- - ### Method Detail

    - #### getFieldMap

          java.util.Map<java.lang.String,java.lang.Object> getFieldMap()

      Returns a map containing all fields of this record.
      Returns:
        a map from column names to the object-based values for this record. The map may not be null, though it may be empty.

Copyright © 2015 The Apache Software Foundation